Overview | Package | Class | Use | Serialized | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.wst.validation
Enum IPerformanceMonitor.CollectionLevel

    java.lang.Object
      java.lang.Enum<IPerformanceMonitor.CollectionLevel>
          org.eclipse.wst.validation.IPerformanceMonitor.CollectionLevel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IPerformanceMonitor.CollectionLevel>

Enclosing interface:
  IPerformanceMonitor

    public static enum IPerformanceMonitor.CollectionLevel

extends java.lang.Enum<IPerformanceMonitor.CollectionLevel>

The level of information to collect.

Enum Constant Summary
`Default`
`None`

Method Summary
`static IPerformanceMonitor.CollectionLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IPerformanceMonitor.CollectionLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### None

    public static final IPerformanceMonitor.CollectionLevel None

### Default

    public static final IPerformanceMonitor.CollectionLevel Default

Method Detail

### values

    public static IPerformanceMonitor.CollectionLevel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IPerformanceMonitor.CollectionLevel c : IPerformanceMonitor.CollectionLevel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IPerformanceMonitor.CollectionLevel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Serialized | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD